Issue 1665 wrong default author suggestion for Windows

Title wrong default author suggestion for Windows
Priority bug Status resolved
Milestone Resolved in 2.8.0
Superseder Nosy List darcs-devel, dmitry.kurochkin, eivuokko, jaredj, kirby, kowey, twb, wglozer
Assigned To twb
Topics ProbablyEasy, UI, Windows

Created on 2009-10-29.15:50:49 by kowey, last changed 2011-05-20.17:24:42 by noreply.

msg9076 (view) Author: kowey Date: 2009-10-29.15:50:42
In darcs record, if the user does not have an address set, we ask them for it.

We also suggest (as per issue1405) a place where they can set this as a global
default (~/darcs/author) but that default is wrong under Windows.  It should
probably be something like %APP_DATA%/darcs/author instead.

It could be worth looking into refactoring the path to the user global defaults
msg9099 (view) Author: twb Date: 2009-10-31.07:04:49
IMO, this just needs that docstring to contain a compile-time conditional in it.
msg14001 (view) Author: chris Date: 2011-05-08.11:51:30
Resolved by patch587
msg14450 (view) Author: noreply Date: 2011-05-20.17:24:41
The following patch sent by Chris Trompette <chris@trompette.name> updated issue issue1665 with
status=resolved;resolvedin=2.8.0 HEAD

* resolve issue1665: wrong default suggestions for Windows 
Ignore-this: f5c4602f3038fc9f7b18457789c6a911
Date User Action Args
2009-10-29 15:50:49koweycreate
2009-10-31 07:04:51twbsetnosy: + twb
messages: + msg9099
2009-12-18 08:32:04twbsetstatus: unknown -> needs-implementation
2009-12-18 08:32:11twbsetassignedto: twb
2011-05-08 11:51:31chrissetstatus: needs-implementation -> resolved
messages: + msg14001
resolvedin: 2.8.0
2011-05-20 17:24:42noreplysetmessages: + msg14450